> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skinloop.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List saved payout wallets for the signed-in merchant

> First-party dashboard endpoint. Not a merchant API-key endpoint.



## OpenAPI

````yaml /openapi.yaml get /v1/dashboard/payout-wallets
openapi: 3.1.0
info:
  title: Skinloop API
  version: 1.1.0-draft
  description: |
    Public contract for Skinloop merchant payments, hosted checkout status,
    merchant dashboard reads, and merchant webhooks. Skinloop never exposes
    credentials, private identifiers, trade URLs, or client tokens.
servers:
  - url: https://api.skinloop.io
    description: Production
security: []
tags:
  - name: Account
  - name: Payments
  - name: Checkout
  - name: Reporting
  - name: Dashboard
paths:
  /v1/dashboard/payout-wallets:
    get:
      tags:
        - Dashboard
      summary: List saved payout wallets for the signed-in merchant
      description: First-party dashboard endpoint. Not a merchant API-key endpoint.
      operationId: listMerchantPayoutWallets
      responses:
        '200':
          description: Saved wallets
          content:
            application/json:
              schema:
                type: object
                required:
                  - wallets
                properties:
                  wallets:
                    type: array
                    items:
                      $ref: '#/components/schemas/SavedPayoutWallet'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - clerkBearer: []
components:
  schemas:
    SavedPayoutWallet:
      type: object
      additionalProperties: false
      required:
        - id
        - label
        - asset
        - network
        - destination
      properties:
        id:
          type: string
          format: uuid
        label:
          type: string
          minLength: 1
          maxLength: 60
        asset:
          type: string
          enum:
            - USDT
            - USDC
        network:
          type: string
          const: ERC20
        destination:
          type: string
          pattern: ^0x[0-9a-fA-F]{40}$
    Error:
      type: object
      additionalProperties: false
      required:
        - error
      properties:
        error:
          type: object
          additionalProperties: false
          required:
            - code
            - message
            - request_id
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
  responses:
    Unauthorized:
      description: Authentication or signature verification failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServiceUnavailable:
      description: Checkout service is not configured or unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    clerkBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk session token for the merchant dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.